[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xserver-xorg-video-newport: Changes to 'debian-unstable'



 debian/changelog                 |   11 ++
 debian/control                   |    2 
 debian/rules                     |    2 
 debian/xsfbs/xsfbs-autoreconf.mk |  150 ---------------------------------------
 debian/xsfbs/xsfbs.mk            |  107 ++++-----------------------
 debian/xsfbs/xsfbs.sh            |    7 -
 src/newport_driver.c             |    9 +-
 7 files changed, 37 insertions(+), 251 deletions(-)

New commits:
commit 1d193564dd552bbfe2ada16d137031b47d2fb5a3
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat May 10 16:54:15 2008 +0200

    Only build on mips, this driver is useless on other architectures
    
    closes: #393709

diff --git a/debian/changelog b/debian/changelog
index 28ddeb3..a188d69 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,8 @@ xserver-xorg-video-newport (1:0.2.1-5) UNRELEASED; urgency=high
   [ Julien Cristau ]
   * Install the upstream README.
   * Fix XAA module loading (closes: #402178).
+  * Only build on mips, this driver is useless on other architectures
+    (closes: #393709).  Thanks, Florian Lohoff!
 
  -- Brice Goglin <bgoglin@debian.org>  Sat, 15 Sep 2007 01:59:43 +0200
 
diff --git a/debian/control b/debian/control
index 286e4d9..60e5d66 100644
--- a/debian/control
+++ b/debian/control
@@ -9,7 +9,7 @@ XS-Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-video-newport
 XS-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-video-newport.git
 
 Package: xserver-xorg-video-newport
-Architecture: alpha amd64 arm armeb armel hppa hurd-i386 i386 ia64 kfreebsd-i386 m68k mips mipsel netbsd-i386 powerpc
+Architecture: mips
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
 Provides: ${xviddriver:Provides}
 Replaces: xserver-xorg (<< 6.8.2-35), xserver-xorg-driver-newport

commit c751dfd771e710dc56615c2728beece8bb902a46
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat May 10 16:35:57 2008 +0200

    Update changelog

diff --git a/debian/changelog b/debian/changelog
index 4353e99..28ddeb3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,10 +1,13 @@
-xserver-xorg-video-newport (1:0.2.1-5) UNRELEASED; urgency=low
+xserver-xorg-video-newport (1:0.2.1-5) UNRELEASED; urgency=high
+
+  * High urgency for RC bug fix.
 
   [ Brice Goglin ]
   * Add upstream URL to debian/copyright.
 
   [ Julien Cristau ]
   * Install the upstream README.
+  * Fix XAA module loading (closes: #402178).
 
  -- Brice Goglin <bgoglin@debian.org>  Sat, 15 Sep 2007 01:59:43 +0200
 

commit 6199170bb3b3179f22e1ba953154e5b3934f7891
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Feb 25 11:52:20 2008 +0100

    Bug#11761: Fix xaa initialization
    
    Load the xaa module when NoAccel is unset, so it actually has a chance
    to work.
    (cherry picked from commit 86b6bb11ffc4bce5886b5bc28b8df41af89f0925)

diff --git a/src/newport_driver.c b/src/newport_driver.c
index 2bb6cab..4b2e0db 100644
--- a/src/newport_driver.c
+++ b/src/newport_driver.c
@@ -593,12 +593,15 @@ NewportScreenInit(int index, ScreenPtr pScreen, int argc, char **argv)
 	pNewport->NoAccel = FALSE;
 	if (xf86ReturnOptValBool(pNewport->Options, OPTION_NOACCEL, FALSE)) 
 	{
-	    if (!xf86LoadSubModule(pScrn, "xaa"))
-		return FALSE;
-	    xf86LoaderReqSymLists(xaaSymbols, NULL);
 	    pNewport->NoAccel = TRUE;
 	    xf86DrvMsg(pScrn->scrnIndex, X_CONFIG, "Acceleration disabled\n");
 	}
+	if (!pNewport->NoAccel) {
+	    if (!xf86LoadSubModule(pScrn, "xaa"))
+		pNewport->NoAccel = TRUE;
+	    else
+		xf86LoaderReqSymLists(xaaSymbols, NULL);
+	}
 #if 0    
 	if (pScrn->bitsPerPixel < 24)
 	{ /* not implemented yet */

commit efb50819c1c7742c834385d34c7d6859d8aaff00
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat May 10 15:53:38 2008 +0200

    Install the upstream README.

diff --git a/debian/changelog b/debian/changelog
index 518d9a1..4353e99 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,11 @@
 xserver-xorg-video-newport (1:0.2.1-5) UNRELEASED; urgency=low
 
+  [ Brice Goglin ]
   * Add upstream URL to debian/copyright.
 
+  [ Julien Cristau ]
+  * Install the upstream README.
+
  -- Brice Goglin <bgoglin@debian.org>  Sat, 15 Sep 2007 01:59:43 +0200
 
 xserver-xorg-video-newport (1:0.2.1-4) unstable; urgency=low
diff --git a/debian/rules b/debian/rules
index 6ab98fe..c17f63d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -70,7 +70,7 @@ binary-arch: build install serverabi
 	dh_testdir
 	dh_testroot
 
-	dh_installdocs
+	dh_installdocs README
 	dh_installchangelogs ChangeLog
 	dh_install --sourcedir=debian/tmp --list-missing
 	dh_link

commit c87ea43906787791a87a659c0a9d6312945ffb32
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 13 03:12:18 2008 +0200

    Remove xsfbs-autoreconf.mk
    
    It has never been used, and that doesn't look likely to change.

diff --git a/debian/xsfbs/xsfbs-autoreconf.mk b/debian/xsfbs/xsfbs-autoreconf.mk
deleted file mode 100644
index dce8fc8..0000000
--- a/debian/xsfbs/xsfbs-autoreconf.mk
+++ /dev/null
@@ -1,150 +0,0 @@
-#!/usr/bin/make -f
-# $Id$
-
-# Automagical conversion of autoreconf results into quilt patches.
-
-# Copyright 2006 Eugene Konev
-#
-# Licensed under the GNU General Public License, version 2.  See the file
-# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
-
-# The idea behind this is storing changes produced by autoreconf as a 
-# separate patch on quilt stack (on top of stack actually).
-# The only usable target here is 'autoreconf`. Other targets are not
-# supposed to be called directly. DO NOT invoke them, unless you know what
-# you are doing.
-# The autoreconf target will check if files with names in $(RECONF_CHECKFILES)
-# were changed during patching (from upstream version or from previously
-# autoreconfed version) and call actual autoreconfing if they were.
-# The actual autoreconfing target (doautoreconf) WILL FAIL after 
-# calling autoreconf and pushing changes into quilt stack by design. It
-# should never be invoked by automatic build process.
-# The proposed use is adding autoreconf into clean's prerequisites before
-# xsfclean like:
-# - clean: xsfclean
-# + clean: autoreconf xsfclean
-# This will ensure it is called when you build package with dpkg-buildpackage.
-
-# This dir will be used for producing diff of autoreconfed tree
-RECONF_DIR := xsfautoreconf
-
-# This files will be checked for changes
-RECONF_CHECKFILES += configure.ac Makefile.am
-
-# This files will not be hardlinked but copied
-RECONF_NOLINKFILES += aclocal.m4
-
-# This files/dirs will be pruned after autoreconf run
-RECONF_PRUNEFILES += autom4te.cache config.h.in~ aclocal.m4~
-
-# Internal target. Never invoke directly.
-stampdir_target+=check.md5sum
-$(STAMP_DIR)/check.md5sum:
-	dh_testdir
-	$(MAKE) -f debian/rules prepare
-	for F in $(RECONF_CHECKFILES); do \
-	  find . -wholename ./$(STAMP_DIR) -prune -o -name $$F -print | \
-	    LC_ALL=C sort | xargs --no-run-if-empty md5sum >>$@; \
-	done
-
-# Internal target. Never invoke directly.
-$(STAMP_DIR)/clean.md5sum:
-	dh_testdir
-	$(MAKE) -f debian/rules unpatch
-	rm -f $(STAMP_DIR)/check.md5sum
-	$(MAKE) -f debian/rules $(STAMP_DIR)/check.md5sum
-	mv $(STAMP_DIR)/check.md5sum $@
-
-# Internal target. Never invoke directly.
-debian/patches/patched.md5sum:
-	dh_testdir
-	[ -f $(STAMP_DIR)/clean.md5sum ] || \
-	  $(MAKE) -f debian/rules $(STAMP_DIR)/clean.md5sum
-
-	$(MAKE) -f debian/rules patch
-	rm -f $(STAMP_DIR)/check.md5sum
-	$(MAKE) -f debian/rules $(STAMP_DIR)/check.md5sum
-	if ! diff $(STAMP_DIR)/clean.md5sum \
-	          $(STAMP_DIR)/check.md5sum > /dev/null; then \
-	  $(MAKE) -f debian/rules doautoreconf; \
-	else \
-	  mv $(STAMP_DIR)/check.md5sum $@; \
-	fi
-
-# Internal target. Never invoke directly.
-,PHONY: doautoreconf
-doautoreconf: patch
-	quilt push -a >>$(STAMP_DIR)/log/autoreconf 2>&1 || true
-	if quilt applied | grep ^autoreconf.diff$$ > /dev/null; then \
-	  quilt pop -a >>$(STAMP_DIR)/log/autoreconf 2>&1; \
-	  quilt rename -p autoreconf.diff autoreconf-old.diff \
-	       >>$(STAMP_DIR)/log/autoreconf 2>&1; \
-	  quilt delete autoreconf-old.diff >>$(STAMP_DIR)/log/autoreconf 2>&1; \
-	  quilt push -a >>$(STAMP_DIR)/log/autoreconf 2>&1; \
-	fi
-
-	if [ -e $(RECONF_DIR) ]; then \
-	  echo "ERROR: $(RECONF_DIR) already exists. Cleanup by hand"; \
-	  exit 1; \
-	fi
-
-	mkdir -p $(RECONF_DIR)/before
-	find . -maxdepth 1 -mindepth 1 ! -wholename ./$(RECONF_DIR) \
-	     -a ! -wholename ./debian -a ! -wholename ./patches \
-	     -a ! -wholename ./.pc -a ! -wholename ./$(STAMP_DIR) | \
-	  xargs -i{} cp -al {} $(RECONF_DIR)/before/
-
-	for F in $(RECONF_PRUNEFILES); do \
-	  find $(RECONF_DIR)/before -name $$F -print | \
-	    xargs --no-run-if-empty rm -r; \
-	done
-
-	cp -al $(RECONF_DIR)/before $(RECONF_DIR)/after
-
-	for F in $(RECONF_NOLINKFILES); do \
-	  find . -wholename ./$(RECONF_DIR) -prune -o -wholename ./debian \
-	       -prune -o -wholename ./$(STAMP_DIR) -prune -o -name $$F \
-	       -print | \
-	    xargs --no-run-if-empty -i{} cp --remove-destination {} \
-	      $(RECONF_DIR)/after/{}; \
-	done
-
-	cd $(RECONF_DIR)/after && autoreconf -v --install && \
-	  for F in $(RECONF_PRUNEFILES); do \
-	    find . -name $$F -print | \
-	      xargs --no-run-if-empty rm -r; \
-	  done
-
-	cd $(RECONF_DIR) && diff -Nru before after > autoreconf.diff || true
-
-	quilt import $(RECONF_DIR)/autoreconf.diff \
-	      >>$(STAMP_DIR)/log/autoreconf 2>&1
-
-	mv $(STAMP_DIR)/check.md5sum debian/patches/patched.md5sum
-
-	rm -r $(RECONF_DIR) && rm -f patches/autoreconf-old.diff
-
-	@echo 
-	@echo "****************************************************************"
-	@echo "  This target is made to fail INTENTIONALLY. It should NEVER    "
-	@echo "  be invoked during automatic builds.                           "
-	@echo 
-	@echo "  This target was invoked because you added/removed/changed     "
-	@echo "  patches which modify either configure.ac or Makefile.am and,  "
-	@echo "  thus, require autoreconf run. And all autoreconfing should    "
-	@echo "  happen before uploading.                                      "
-	@echo 
-	@echo "  (See also debian/xsfbs/xsfbs-autoreconf.mk)                   "
-	@echo 
-	@echo "  If you see this message, autoreconfing actually SUCCEEDED,    "
-	@echo "  and your build should finish successfully, when rerun.        "
-	@echo "****************************************************************"
-	@echo 
-	exit 1;
-
-.PHONY: autoreconf
-autoreconf: debian/patches/patched.md5sum patch $(STAMP_DIR)/check.md5sum
-	if ! diff $(STAMP_DIR)/check.md5sum \
-	          debian/patches/patched.md5sum > /dev/null; then \
-	  $(MAKE) -f debian/rules doautoreconf; \
-	fi
diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 51fa145..6582a42 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -307,6 +307,4 @@ else
 	echo "xinpdriver:Provides=$(INPDRIVER_PROVIDES)" >> debian/$(PACKAGE).substvars
 endif
 
-include debian/xsfbs/xsfbs-autoreconf.mk
-
 # vim:set noet ai sts=8 sw=8 tw=0:

commit bef8b301bf7649b4156bef2dc26ebf9f7f9244ad
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Mar 21 11:53:16 2008 +0100

    xsfbs.mk: make 'serverabi' depend on 'install'
    
    See bug#471193, thanks to Bernhard R. Link <brlink@debian.org>

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 4822173..51fa145 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -297,7 +297,7 @@ PACKAGE=$(shell awk '/^Package:/ { print $$2; exit }' < debian/control)
 endif
 
 .PHONY: serverabi
-serverabi:
+serverabi: install
 ifeq ($(SERVERMINVERS),)
 	@echo error: xserver-xorg-dev needs to be installed
 	@exit 1

commit 844199da71f29556be3436fa0fead2f0cc0bfc1b
Author: David Nusinow <dnusinow@debian.org>
Date:   Tue Jan 8 20:18:49 2008 -0500

    Kill the manifest code.
    It served its purpose for the monolith and is now dead.

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index b8f7afd..4822173 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -196,7 +196,6 @@ xsfclean: cleanscripts unpatch
 	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
 	rm -rf imports
 	dh_clean debian/shlibs.local \
-	         debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new \
 	         debian/po/pothead
 
 # Generate the debconf templates POT file header.
@@ -209,58 +208,6 @@ debian/po/pothead: debian/po/pothead.in
 updatepo: debian/po/pothead
 	debian/scripts/debconf-updatepo --pot-header=pothead --verbose
 
-# Use the MANIFEST files to determine whether we're shipping everything we
-# expect to ship, and not shipping anything we don't expect to ship.
-.PHONY: check-manifest
-stampdir_targets+=check-manifest
-check-manifest: $(STAMP_DIR)/check-manifest
-$(STAMP_DIR)/check-manifest: $(STAMP_DIR)/install
-	# Compare manifests.
-	(cd debian/tmp && find -type f | LC_ALL=C sort | cut -c3-) \
-	  >debian/MANIFEST.$(ARCH).new
-	# Construct MANIFEST files from MANIFEST.$(ARCH).in and
-	# MANIFEST.$(ARCH).all or MANIFEST.all.
-	if expr "$(findstring -DBuildFonts=NO,$(IMAKE_DEFINES))" \
-	  : "-DBuildFonts=NO" >/dev/null 2>&1; then \
-	  LC_ALL=C sort -u debian/MANIFEST.$(ARCH).in >debian/MANIFEST.$(ARCH); \
-	else \
-	  if [ -e debian/MANIFEST.$(ARCH).all ]; then \
-	    LC_ALL=C sort -u debian/MANIFEST.$(ARCH).in debian/MANIFEST.$(ARCH).all >debian/MANIFEST.$(ARCH); \
-	  else \
-	    LC_ALL=C sort -u debian/MANIFEST.$(ARCH).in debian/MANIFEST.all >debian/MANIFEST.$(ARCH); \
-	  fi; \
-	fi
-	# Confirm that the installed file list has not changed.
-	if [ -e debian/MANIFEST.$(ARCH) ]; then \
-	  if ! cmp -s debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new; then \
-	    diff -U 0 debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new || DIFFSTATUS=$$?; \
-	    case $${DIFFSTATUS:-0} in \
-	      0) ;; \
-	      1) if [ -n "$$IGNORE_MANIFEST_CHANGES" ]; then \
-	           echo 'MANIFEST check failed; ignoring problem because \$$IGNORE_MANIFEST_CHANGES set' >&2; \
-	           echo 'Please ensure that the package maintainer has an up-to-date version of the' >&2; \
-	           echo 'MANIFEST.$(ARCH).in file.' >&2; \
-	         else \
-	           echo 'MANIFEST check failed; please see debian/README' >&2; \
-	           exit 1; \
-	         fi; \
-	         ;; \
-	      *) echo "diff reported unexpected exit status $$DIFFSTATUS when performing MANIFEST check" >&2; \
-	         exit 1; \
-	         ;; \
-	    esac; \
-	  fi; \
-	fi
-	>$@
-
-# Because we build (and install) different files depending on whether or not
-# any architecture-independent packages are being created, the list of files we
-# expect to see will differ; see the discussion of the "build" target above.
-.PHONY: check-manifest-arch check-manifest-indep
-check-manifest-arch: IMAKE_DEFINES+= -DBuildSpecsDocs=NO -DBuildFonts=NO -DInstallHardcopyDocs=NO
-check-manifest-arch: check-manifest
-check-manifest-indep: check-manifest
-
 # Remove files from the upstream source tree that we don't need, or which have
 # licensing problems.  It must be run before creating the .orig.tar.gz.
 #

commit 331c032528ba1faebef1d8eaa56db47f533f0426
Author: David Nusinow <dnusinow@debian.org>
Date:   Sat Sep 22 23:49:11 2007 -0400

    Remove make-orig-tar-gz target
    
    This target wasn't kept up to date and was totally broken for the git
    world. The way we use git has made this target pretty well impossible to
    use in any form, so it's been supersceded by a script that is currently
    located at
    http://people.debian.org/~dnusinow/xsf_scripts/git-make-orig-tar-gz

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index bfca7bb..b8f7afd 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -272,29 +272,6 @@ prune-upstream-tree:
 	dh_testdir
 	grep -rvh '^#' debian/prune/ | xargs --no-run-if-empty rm -rf
 
-# Change to what should be the correct directory, ensure it is, and if
-# so, create the .orig.tar.gz file.  Exclude the debian directory and its
-# contents, and any .svn directories and their contents (so that we can safely
-# build an .orig.tar.gz from SVN checkout, not just an export).
-#
-# Note: This rule is for Debian package maintainers' convenience, and is not
-# needed for conventional build scenarios.
-#
-# This rule *IS* the recommended method for creating a new .orig.tar.gz file,
-# for the rare situations when one is needed.
-.PHONY: make-orig-tar-gz
-make-orig-tar-gz: clean prune-upstream-tree
-	( cd .. \
-	  && if [ $(shell basename $(CURDIR)) != $(SOURCE_NAME)-$(NO_EPOCH_VER) ]; then \
-	    echo "Our current working directory has the wrong name. Renaming..." >&2; \
-		mv $(CURDIR) $(SOURCE_NAME)-$(NO_EPOCH_VER); \
-	  fi; \
-	    tar --exclude=debian --exclude=debian/* \
-	        --exclude=.svn --exclude=.svn/* \
-	        -cf - $(SOURCE_NAME)-$(NO_EPOCH_VER) \
-	    | gzip -9 >$(SOURCE_NAME)_$(NO_EPOCH_VER).orig.tar.gz; \
-	   )
-
 # Verify that there are no offsets or fuzz in the patches we apply.
 #
 # Note: This rule is for Debian package maintainers' convenience, and is not

commit 575efb7249d7cf194f07e45db17e601d9c259231
Author: Brice Goglin <bgoglin@debian.org>
Date:   Wed Aug 29 09:36:00 2007 +0200

    Do not call laptop-detect, let the only user call it directly

diff --git a/debian/xsfbs/xsfbs.sh b/debian/xsfbs/xsfbs.sh
index 52473ca..a90ff7d 100644
--- a/debian/xsfbs/xsfbs.sh
+++ b/debian/xsfbs/xsfbs.sh
@@ -59,13 +59,6 @@ fi
 
 ARCHITECTURE="$(dpkg --print-installation-architecture)"
 
-LAPTOP=""
-if [ -n "$(which laptop-detect)" ]; then
-    if laptop-detect >/dev/null; then
-	LAPTOP=true
-    fi
-fi
-
 if [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ]; then
   RECONFIGURE="true"
 else

commit 12a633f722a2ff9677728d1e2ae56767f804232a
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Thu Jul 12 16:06:22 2007 +0200

    Fix "display the output of quilt push/pop".
    
    Fix commit 16d97b30b91da02d5a3edc2b895cbd4a1995f62d to check the
    return value of quilt, not the one of tee.

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 5f13302..bfca7bb 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -147,9 +147,11 @@ $(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
 	fi; \
 	if $(QUILT) next >/dev/null 2>&1; then \
 	  echo -n "Applying patches..."; \
-	  if $(QUILT) push -a -v 2>&1 | tee $(STAMP_DIR)/log/patch; then \
+	  if $(QUILT) push -a -v >$(STAMP_DIR)/log/patch 2>&1; then \
+	    cat $(STAMP_DIR)/log/patch; \
 	    echo "successful."; \
 	  else \
+	    cat $(STAMP_DIR)/log/patch; \
 	    echo "failed! (check $(STAMP_DIR)/log/patch for details)"; \
 	    exit 1; \
 	  fi; \
@@ -164,9 +166,11 @@ unpatch:
 	rm -f $(STAMP_DIR)/patch
 	@echo -n "Unapplying patches..."; \
 	if [ -e $(STAMP_DIR)/patches/applied-patches ]; then \
-	  if $(QUILT) pop -a -v 2>&1 | tee $(STAMP_DIR)/log/unpatch; then \
+	  if $(QUILT) pop -a -v >$(STAMP_DIR)/log/unpatch 2>&1; then \
+	    cat $(STAMP_DIR)/log/unpatch; \
 	    echo "successful."; \
 	  else \
+	    cat $(STAMP_DIR)/log/unpatch; \
 	    echo "failed! (check $(STAMP_DIR)/log/unpatch for details)"; \
 	    exit 1; \
 	  fi; \

commit e29b56820909668b062fdba72458ee9483a4ae44
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Mon Jul 9 21:50:47 2007 +0200

    Minor fixes in the patching system.
    
     * Fix debian/rules to not be confused by ~/.quiltrc or QUILT_PATCHES (as in #369920).
     * Display which patches are applied and removed instead of just the first one (for #428090).

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 2930c1e..5f13302 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -21,6 +21,11 @@
 # Pass $(DH_OPTIONS) into the environment for debhelper's benefit.
 export DH_OPTIONS
 
+# force quilt to not use ~/.quiltrc
+QUILT = quilt --quiltrc /dev/null
+# force QUILT_PATCHES to the default in case it is exported in the environment
+QUILT_PATCHES = patches/
+
 # Set up parameters for the upstream build environment.
 
 # Determine (source) package name from Debian changelog.
@@ -140,9 +145,9 @@ $(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
 		echo "Couldn't find quilt. Please install it or add it to the build-depends for this package."; \
 		exit 1; \
 	fi; \
-	if quilt next >/dev/null 2>&1; then \
+	if $(QUILT) next >/dev/null 2>&1; then \
 	  echo -n "Applying patches..."; \
-	  if quilt push -a -v 2>&1 | tee $(STAMP_DIR)/log/patch; then \
+	  if $(QUILT) push -a -v 2>&1 | tee $(STAMP_DIR)/log/patch; then \
 	    echo "successful."; \
 	  else \
 	    echo "failed! (check $(STAMP_DIR)/log/patch for details)"; \
@@ -159,7 +164,7 @@ unpatch:
 	rm -f $(STAMP_DIR)/patch
 	@echo -n "Unapplying patches..."; \
 	if [ -e $(STAMP_DIR)/patches/applied-patches ]; then \
-	  if quilt pop -a -v 2>&1 | tee $(STAMP_DIR)/log/unpatch; then \
+	  if $(QUILT) pop -a -v 2>&1 | tee $(STAMP_DIR)/log/unpatch; then \
 	    echo "successful."; \
 	  else \
 	    echo "failed! (check $(STAMP_DIR)/log/unpatch for details)"; \
@@ -295,17 +300,17 @@ patch-audit: prepare unpatch
 	@echo -n "Auditing patches..."; \
 	>$(STAMP_DIR)/log/patch; \
 	FUZZY=; \
-	while [ -n "$$(quilt next)" ]; do \
-	  RESULT=$$(quilt push -v | tee -a $(STAMP_DIR)/log/patch | grep ^Hunk | sed 's/^Hunk.*\(succeeded\|FAILED\).*/\1/');\
+	while [ -n "$$($(QUILT) next)" ]; do \
+	  RESULT=$$($(QUILT) push -v | tee -a $(STAMP_DIR)/log/patch | grep ^Hunk | sed 's/^Hunk.*\(succeeded\|FAILED\).*/\1/');\
 	  case "$$RESULT" in \
 	    succeeded) \
-	      echo "fuzzy patch: $$(quilt top)" \
-	        | tee -a $(STAMP_DIR)/log/$$(quilt top); \
+	      echo "fuzzy patch: $$($(QUILT) top)" \
+	        | tee -a $(STAMP_DIR)/log/$$($(QUILT) top); \
 	      FUZZY=yes; \
 	      ;; \
 	    FAILED) \
-	      echo "broken patch: $$(quilt next)" \
-	        | tee -a $(STAMP_DIR)/log/$$(quilt next); \
+	      echo "broken patch: $$($(QUILT) next)" \
+	        | tee -a $(STAMP_DIR)/log/$$($(QUILT) next); \
 	      exit 1; \
 	      ;; \
 	  esac; \

commit 16d97b30b91da02d5a3edc2b895cbd4a1995f62d
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Mon Jul 9 19:06:05 2007 +0200

    Fix displaying of patches applied by quilt.
    
    As requested in bug #428090, we silence the output of quilt next
    and display the output of quilt push/pop.

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 63dde45..2930c1e 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -140,9 +140,9 @@ $(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
 		echo "Couldn't find quilt. Please install it or add it to the build-depends for this package."; \
 		exit 1; \
 	fi; \
-	if quilt next; then \
+	if quilt next >/dev/null 2>&1; then \
 	  echo -n "Applying patches..."; \
-	  if quilt push -a -v >$(STAMP_DIR)/log/patch 2>&1; then \
+	  if quilt push -a -v 2>&1 | tee $(STAMP_DIR)/log/patch; then \
 	    echo "successful."; \
 	  else \
 	    echo "failed! (check $(STAMP_DIR)/log/patch for details)"; \
@@ -159,7 +159,7 @@ unpatch:
 	rm -f $(STAMP_DIR)/patch
 	@echo -n "Unapplying patches..."; \
 	if [ -e $(STAMP_DIR)/patches/applied-patches ]; then \
-	  if quilt pop -a -v >$(STAMP_DIR)/log/unpatch 2>&1; then \
+	  if quilt pop -a -v 2>&1 | tee $(STAMP_DIR)/log/unpatch; then \
 	    echo "successful."; \
 	  else \
 	    echo "failed! (check $(STAMP_DIR)/log/unpatch for details)"; \


Reply to: